[tool.poetry]
name = "rbdservice"
version = "0.1.0"
description = ""
authors = ["Cizz22 <cisatraa@gmail.com>"]
license = "MIT"
readme = "README.md"

[tool.poetry.dependencies]
python = "^3.11"
fastapi = { extras = ["standard"], version = "^0.115.4" }
sqlalchemy = "^2.0.36"
httpx = "^0.27.2"
pytest = "^8.3.3"
faker = "^30.8.2"
factory-boy = "^3.3.1"
sqlalchemy-utils = "^0.41.2"
slowapi = "^0.1.9"
uvicorn = "^0.32.0"
pytz = "^2024.2"
sqlalchemy-filters = "^0.13.0"
asyncpg = "^0.30.0"
requests = "^2.32.3"
pydantic = "^2.10.2"
temporalio = "^1.8.0"
pandas = "^2.2.3"
psycopg2-binary = "^2.9.10"
greenlet = "^3.1.1"
isort = "^6.0.1"
dotenv = "^0.9.9"
aiohttp = "^3.12.14"
ijson = "^3.4.0"


[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
